import axios from 'axios'
import router from '@/router'
import { Toast } from 'vant'
const baseURL = process.env.NODE_ENV === "production" ? "http://10.21.11.207:8003/hmit-admin" : "/proxyApi"
const request = axios.create({
    baseURL,
    timeout: 10000,
    withCredentials: true
});
request.interceptors.request.use(
    config => {
        return config
    },
    error => {
        return Promise.reject(error)
    }
)
request.interceptors.response.use((response) => {
    const res = response.data;
    console.log(res)
    if (res.code === 0) {
        return res
    } else if (res.code === 401) {
        Toast.fail(res.msg)
        router.replace('/')
    } else {
        Toast.fail(res.msg)
    }
}, (err) => {
    Toast('网络请求异常，请稍后重试!');
    return err
});
export default request;